import React, { Component } from 'react';
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import Header from '../components/Header';
import MainSection from '../components/MainSection';
import * as actions from '../actions/TodoActions';

class TodoApp extends Component {
  render() {
    const { todos } = this.props;

    return (
      <div>
        <Header addTodo={actions.addTodo} />
        <MainSection todos={todos} actions={actions} />
      </div>
    );
  }
}

function mapState(state) {
  return {
    todos: state.todos
  };
}

// Since we already did bind all our actions to the store,
// no need to do it again in each component

export default connect(mapState)(TodoApp);
